Subject: bug#73670: closed (Casacore update compilation issue)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 May 2025 09:30:02 +0000

Your bug report

#73670: Casacore update compilation issue

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73670: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73670
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Casacore update compilation issue
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Tue, 27 May 2025 10:29:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in:

11284f55f6 gnu: casacore: Update to 3.6.1.

--
Oleg

Subject: Casacore update compilation issue
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Mon, 07 Oct 2024 01:15:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

casacore from 3.4.0 to 3.6.1

I might need to appeal to some help as my numerous attempts to update
casacore to the latest version sequentially failed.

--8<---------------cut here---------------start------------->8---
In file included from /gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/included/unit_test.hpp:23,
                 from /tmp/guix-build-casacore-3.6.1.drv-0/source/tables/Dysco/tests/runtests.cc:4:
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp: In function ‘unsigned int boost::fpe::enable(unsigned int)’:
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp:1490:5: error: ‘feclearexcept’ was not declared in this scope
 1490 |     feclearexcept(BOOST_FPE_ALL);
      |     ^~~~~~~~~~~~~
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp:1491:15: error: ‘feenableexcept’ was not declared in this scope
 1491 |     int res = feenableexcept( mask );
      |               ^~~~~~~~~~~~~~
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp: In function ‘unsigned int boost::fpe::disable(unsigned int)’:
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp:1526:5: error: ‘feclearexcept’ was not declared in this scope
 1526 |     feclearexcept(BOOST_FPE_ALL);
      |     ^~~~~~~~~~~~~
/gnu/store/cj0vs5x7xzwn2av9acg19bgg6ma3yfyb-boost-1.86.0/include/boost/test/impl/execution_monitor.ipp:1527:15: error: ‘fedisableexcept’ was not declared in this scope
 1527 |     int res = fedisableexcept( mask );
      |               ^~~~~~~~~~~~~~~
--8<---------------cut here---------------end--------------->8---

I'm not sure which combinatin brought that issue, I've even tried to
update boost to the latest version, gcc-12, 11 and 14 were used to compile.

Some reference to simirlar issues with GCC and Boost:
- execution_monitor.ipp dosn't compile with glibc 2.17  https://github.com/boostorg/test/issues/391
- Compilation fails with GCC 14 https://github.com/casacore/casacore/issues/1344
- Compilation error with gcc 12.2 (Debian 12) https://github.com/casacore/casacore/issues/1338

--
Oleg